//FirstView Component Constructor
function FirstView() {
	//create object instance, a parasitic subclass of Observable
	var self = Ti.UI.createView({ layout: 'vertical'});
	
	//label using localization-ready strings from <app dir>/i18n/en/strings.xml
	var label = Ti.UI.createLabel({
		color:'#000000',
		text:String.format(L('welcome'),'Titanium'),
		height:'auto',
		width:'auto'
	});
	self.add(label);
	
	//Add behavior for UI
	label.addEventListener('click', function(e) {
		alert(e.source.text);
	});
	
	
	var button = Ti.UI.createButton({ title: 'send'});
	self.add(button);
	
	button.addEventListener('click', function(e){
		
		var xhr = Ti.Network.createHTTPClient();
		xhr.onload  = function(e){
			//Ti.API.info(this.responseText);
			xhr = null;
		};
		xhr.onerror = function(e){
			xhr = null;
		};
		xhr.open('POST', 'http://192.168.110.163/test.php');
		
		
		var postData = [];
		
		for(var i=0; i<10000; i++)
		{
			var obj = { nr: i, attr:'this is just a test'};
			postData.push(obj);
		}
		
		var s = JSON.stringify( postData );
		postData = null;
		
		xhr.send({
			data: s
		});			
	});
	
	return self;
}

module.exports = FirstView;
